Get mDoc credential templates.
curl --request GET \
--url https://test.didxtech.com/me-creds/api/templates/credentials/mdoc \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/templates/credentials/mdoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.didxtech.com/me-creds/api/templates/credentials/mdoc")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.didxtech.com/me-creds/api/templates/credentials/mdoc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"name": "National ID",
"description": "South African national identity document",
"attributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "mdoc",
"id": "6421a8905c17830c188e2e30",
"presetId": null,
"type": "za.co.didx.national-id",
"validUntil": {
"future": {
"days": 365
}
},
"issuer": {
"signer": "certificate",
"keyType": "P-256"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credential Templates API
Get mDoc credential templates
deprecated
Get mDoc credential templates.
curl --request GET \
--url https://test.didxtech.com/me-creds/api/templates/credentials/mdoc \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/templates/credentials/mdoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test.didxtech.com/me-creds/api/templates/credentials/mdoc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.didxtech.com/me-creds/api/templates/credentials/mdoc")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.didxtech.com/me-creds/api/templates/credentials/mdoc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"name": "National ID",
"description": "South African national identity document",
"attributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "mdoc",
"id": "6421a8905c17830c188e2e30",
"presetId": null,
"type": "za.co.didx.national-id",
"validUntil": {
"future": {
"days": 365
}
},
"issuer": {
"signer": "certificate",
"keyType": "P-256"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter credential templates by their unique identifier
Example:
"6421a8905c17830c188e2e2f"
Filter credential templates by their type
Example:
"https://test.didxtech.com/vct/acme-university/UniversityCard"
Filter credential templates by credential format
Available options:
sd-jwt-vc, mdoc Example:
"sd-jwt-vc"
Filter credential templates by archived status
Available options:
true, false Example:
"false"
Search credential templates by name (partial match)
Example:
"credential"
Sort order for the results. Prefix with "-" for descending order
Available options:
id, -id, createdAt, -createdAt, updatedAt, -updatedAt Example:
"-createdAt"
Number of items to return per page (1-100)
Required range:
1 <= x <= 100Example:
10
Cursor for pagination - return items before this ID value
Example:
"6421a8905c17830c188e2e2f"
Cursor for pagination - return items after this ID value
Example:
"6421a8905c17830c188e2e30"

